PowerPoint7TextInternal::State Struct Reference

Internal: the state of a PowerPoint7Text. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

std::string | m_fontFamily
| the basic pc font family if known
std::map< int, int > | m_fileIdFontIdMap
| a local id to final id font map
std::map< int, Ruler > | m_idToRulerMap
| a local id to ruler id map
std::map< int, int > | m_fieldIdToFormatIdMap
| a field id to format id map
std::vector< std::shared_ptr< TextZone > > | m_textZoneList
| the list of text zone

## Detailed Description

Internal: the state of a PowerPoint7Text.

## Constructor & Destructor Documentation

## State()

PowerPoint7TextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_fieldIdToFormatIdMap

std::map<int, int> PowerPoint7TextInternal::State::m_fieldIdToFormatIdMap

a field id to format id map

Referenced by State().

## m_fileIdFontIdMap

std::map<int, int> PowerPoint7TextInternal::State::m_fileIdFontIdMap

a local id to final id font map

Referenced by State().

## m_fontFamily

std::string PowerPoint7TextInternal::State::m_fontFamily

the basic pc font family if known

Referenced by State().

## m_idToRulerMap

std::map<int, Ruler> PowerPoint7TextInternal::State::m_idToRulerMap

a local id to ruler id map

Referenced by State().

## m_textZoneList

std::vector<std::shared_ptr<TextZone> > PowerPoint7TextInternal::State::m_textZoneList

the list of text zone

Referenced by State().

The documentation for this struct was generated from the following file:

- PowerPoint7Text.cxx